#include "Client.h"

#include <iostream>

int main(int argc, const char **argv) {
	try {
		Client app;
		Arguments args(argc, argv);
		app.initialize(args);
		while (app.isRunning())
			app.update();
		app.shutdown();
		return 0;
	} catch (const char *str) {
		std::cerr << "Exception: " << str << std::endl;
		return 1;
	} catch (const std::exception &e) {
		std::cerr << "Exception: " << e.what() << std::endl;
		return 1;
	}
}

